Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vt_test_converter.translateJSON Class Reference

Test postgisToJSON class if the conversion of an X3D formats into a json operates. More...

Inheritance diagram for vizitown_plugin.vt_test_converter.translateJSON:
Collaboration diagram for vizitown_plugin.vt_test_converter.translateJSON:

## Public Member Functions
def | setUp
def | test_json_one_point_check_type
def | test_json_one_pont_check_nb_geometry
def | test_json_one_point_check_coordinates
def | test_json_one_point_check_height
def | test_json_two_points_check_type
def | test_json_two_points_check_nb_geometry
def | test_json_two_points_check_coordinates_point1
def | test_json_two_points_check_coordinates_point2
def | test_json_two_points_check_height_point1
def | test_json_two_points_check_height_point2
def | test_json_line_check_type
def | test_json_line_check_nb_geometry
def | test_json_line_check_coordinates
def | test_json_line_check_height
def | test_json_lineH_check_type
def | test_json_lineH_check_coordinates
def | test_json_lineH_check_height
def | test_json_polygon_check_type
def | test_json_polygon_check_coordinates
def | test_json_polygon_check_height
def | test_json_multipolygon_check_type
def | test_json_two_points_check_nb_geometry
def | test_json_multipolygon_check_coordinates_poly1
def | test_json_multipolygon_check_coordinates_poly2
def | test_json_multipolygon_check_height
def | test_json_tin_check_type
def | test_json_tin_check_nb_faces
def | test_json_tin_check_nb_vertices

## Public Attributes
| oneSimplePoint
| twoPointsHeight
| lineSimple
| lineWithHeight
| polygon
| multipolygon
| tin
| hasHeight
| noHeight
| colors
| geomPoint
| geomLine
| geomPolyg
| geomMPolyg
| geomPolyh
| translator

## Detailed Description

Test postgisToJSON class if the conversion of an X3D formats into a json operates.

## Member Function Documentation

def vizitown_plugin.vt_test_converter.translateJSON.setUp | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_line_check_coordinates | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_line_check_height | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_line_check_nb_geometry | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_line_check_type | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_lineH_check_coordinates | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_lineH_check_height | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_lineH_check_type | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_multipolygon_check_coordinates_poly1 | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_multipolygon_check_coordinates_poly2 | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_multipolygon_check_height | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_multipolygon_check_type | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_one_point_check_coordinates | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_one_point_check_height | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_one_point_check_type | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_one_pont_check_nb_geometry | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_polygon_check_coordinates | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_polygon_check_height | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_polygon_check_type | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_tin_check_nb_faces | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_tin_check_nb_vertices | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_tin_check_type | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_two_points_check_coordinates_point1 | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_two_points_check_coordinates_point2 | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_two_points_check_height_point1 | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_two_points_check_height_point2 | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_two_points_check_nb_geometry | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_two_points_check_nb_geometry | ( |  | self) |  |

def vizitown_plugin.vt_test_converter.translateJSON.test_json_two_points_check_type | ( |  | self) |  |

## Member Data Documentation

vizitown_plugin.vt_test_converter.translateJSON.colors

vizitown_plugin.vt_test_converter.translateJSON.geomLine

vizitown_plugin.vt_test_converter.translateJSON.geomMPolyg

vizitown_plugin.vt_test_converter.translateJSON.geomPoint

vizitown_plugin.vt_test_converter.translateJSON.geomPolyg

vizitown_plugin.vt_test_converter.translateJSON.geomPolyh

vizitown_plugin.vt_test_converter.translateJSON.hasHeight

vizitown_plugin.vt_test_converter.translateJSON.lineSimple

vizitown_plugin.vt_test_converter.translateJSON.lineWithHeight

vizitown_plugin.vt_test_converter.translateJSON.multipolygon

vizitown_plugin.vt_test_converter.translateJSON.noHeight

vizitown_plugin.vt_test_converter.translateJSON.oneSimplePoint

vizitown_plugin.vt_test_converter.translateJSON.polygon

vizitown_plugin.vt_test_converter.translateJSON.tin

vizitown_plugin.vt_test_converter.translateJSON.translator

vizitown_plugin.vt_test_converter.translateJSON.twoPointsHeight

The documentation for this class was generated from the following file:

- vt_test_converter.py